#!/bin/bash

# install unzip
sudo apt install unzip

# Folder structure
mkdir -p ./data/nuscenes/raw_data
cd ./data/nuscenes/raw_data

export TRAINVAL_DATA="v1.0-trainval_meta.tgz"
export MAP_DATA="nuScenes-map-expansion-v1.3.zip"

# Download (these links only work temporarily)
wget -O $TRAINVAL_DATA "https://s3.amazonaws.com/data.nuscenes.org/public/v1.0/v1.0-trainval_meta.tgz?AWSAccessKeyId=ASIA6RIK4RRMAMUA7ZNY&Signature=IwcGiArDroXjkEFXhHARA4f4uv4%3D&x-amz-security-token=IQoJb3JpZ2luX2VjEO7%2F%2F%2F%2F%2F%2F%2F%2F%2F%2FwEaCXVzLWVhc3QtMSJIMEYCIQD1giqqhOWi%2FzZKV6UQ%2FMzuWRAqr1uWV2SepsERfnZCwAIhAJRe1ZKokRLYl7sEHDMZUjYHTwTAlt1OG3%2F36JJDqa7EKvQCCBcQAxoMOTk5MTM5NjA5Njg4IgyMRJDvfcs46ORyG6Eq0QLZ6rv1cS%2FMSPABVFAQYexDHg7oBAQ5gQ8QkLk9XM%2FAiPzNKWqNIvCFSEpUJTMS4DOZ3oDnCEYGiRgnYY%2FzNH9gDGwUypT312kRncNMUUORT6jVkM9jqtOeSmrFIeOkHe8bBfurQp15n6yBxCE99DRcWF5XUlUTqfMjZJ%2FE55z%2B2jP%2FefLVgN2n4w%2BcnUzWKdYN%2BeMbb1jfQPz5lDMoGtU%2FpvukwR67LJFnGhFbFsnYwHj4BWHe0prp46xbn5zkKy3foVRu7wtWAqNhp09cjEDpkcsBr9GJG6C0XlO32qA4IoyoHa%2BvEqTST3AHh06vB17yh2XHPAwdSJIwv1OEATU%2BrBBid2VteT5TWxaapdl0Qy08TAuPcStGKUAwVpcfC9gezMQghB8UpACofln4vV1Fj0CTJVrBGhijOm3iikCo5%2Fc6sEX0CWfSk3DDM%2B%2Fuu4U%2FMMPyiKMGOp0B43dHfzrX0TFdvMU%2BhpeWWDgjVVSSiLF0vTSZnXGrF3YvjYoNquZR8xQtzJQGtXJCTRtbwSS2VfYatkcYx4O7esezhS2yhPtyedayeI%2BrGwWn5ay3C%2F9vS06ikjvsNiVIDq5nWjI5tZ5C22n9Ch9IlTCiHmerb8xSNgbZhbVhYhu16gEdReqZv1c7PBuoxtCctYxth%2Fa67sFytVMYAQ%3D%3D&Expires=1684591390"
wget -O $MAP_DATA "https://s3.amazonaws.com/data.nuscenes.org/public/v1.0/nuScenes-map-expansion-v1.3.zip?AWSAccessKeyId=ASIA6RIK4RRMAMUA7ZNY&Signature=4LLmMqfxiS08O5ek4jJLPBTRTfk%3D&x-amz-security-token=IQoJb3JpZ2luX2VjEO7%2F%2F%2F%2F%2F%2F%2F%2F%2F%2FwEaCXVzLWVhc3QtMSJIMEYCIQD1giqqhOWi%2FzZKV6UQ%2FMzuWRAqr1uWV2SepsERfnZCwAIhAJRe1ZKokRLYl7sEHDMZUjYHTwTAlt1OG3%2F36JJDqa7EKvQCCBcQAxoMOTk5MTM5NjA5Njg4IgyMRJDvfcs46ORyG6Eq0QLZ6rv1cS%2FMSPABVFAQYexDHg7oBAQ5gQ8QkLk9XM%2FAiPzNKWqNIvCFSEpUJTMS4DOZ3oDnCEYGiRgnYY%2FzNH9gDGwUypT312kRncNMUUORT6jVkM9jqtOeSmrFIeOkHe8bBfurQp15n6yBxCE99DRcWF5XUlUTqfMjZJ%2FE55z%2B2jP%2FefLVgN2n4w%2BcnUzWKdYN%2BeMbb1jfQPz5lDMoGtU%2FpvukwR67LJFnGhFbFsnYwHj4BWHe0prp46xbn5zkKy3foVRu7wtWAqNhp09cjEDpkcsBr9GJG6C0XlO32qA4IoyoHa%2BvEqTST3AHh06vB17yh2XHPAwdSJIwv1OEATU%2BrBBid2VteT5TWxaapdl0Qy08TAuPcStGKUAwVpcfC9gezMQghB8UpACofln4vV1Fj0CTJVrBGhijOm3iikCo5%2Fc6sEX0CWfSk3DDM%2B%2Fuu4U%2FMMPyiKMGOp0B43dHfzrX0TFdvMU%2BhpeWWDgjVVSSiLF0vTSZnXGrF3YvjYoNquZR8xQtzJQGtXJCTRtbwSS2VfYatkcYx4O7esezhS2yhPtyedayeI%2BrGwWn5ay3C%2F9vS06ikjvsNiVIDq5nWjI5tZ5C22n9Ch9IlTCiHmerb8xSNgbZhbVhYhu16gEdReqZv1c7PBuoxtCctYxth%2Fa67sFytVMYAQ%3D%3D&Expires=1684591374"

# # Extract
tar xvf $TRAINVAL_DATA
unzip $MAP_DATA -d maps/

# remove files
rm $TRAINVAL_DATA
rm $MAP_DATA
